import 'users_api.dart';
import 'users_repository.dart';
import 'models/user_response.dart';

class UsersRepositoryImpl implements UsersRepository {
  final UsersApi _api;

  UsersRepositoryImpl({required UsersApi api}) : _api = api;

  @override
  Future<UserResponse> getMe() {
    return _api.getMe();
  }

  @override
  Future<UserResponse> updateMe(UserUpdateRequest request) {
    return _api.updateMe(request);
  }

  @override
  Future<List<UserResponse>> searchUsers(String query) {
    return _api.searchUsers(query);
  }
}
